#ifndef BLE_H
#define BLE_H

#include <zephyr/bluetooth/bluetooth.h>
#include <zephyr/bluetooth/hci.h>
#include <zephyr/bluetooth/conn.h>
#include <zephyr/bluetooth/uuid.h>
#include <zephyr/bluetooth/gatt.h>
#include <bluetooth/scan.h>
#include "custom_client.h"
#include "main.h"
#include "user_flash.h"

enum ble_scan_types
{

    SCAN_FOR_ADDR,
    SCAN_FOR_NAME

};

void initiliase_ble(void);
int scan_init(enum ble_scan_types scan_type);
void send_ble_data_to_xlrt(uint8_t *data_ptr, uint16_t len);
void set_association_value(uint8_t new_value);


#endif